Skip to main content
GET
List institutions
This endpoint returns a list of institutions based on the specified search term or parameter.

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Query Parameters

name
string

This will list only institutions in which the appended string appears.

iso_country_code
string[]

An array of strings that filters institutions in the widget by the specified country code. Acceptable codes include US, CA, and MX (Mexico).

page
integer

Results are paginated. Specify current page.

records_per_page
integer

This specifies the number of records to be returned on each page. Defaults to 25. The valid range is from 10 to 1000. If the value exceeds 1000, the default value of 25 will be used instead.

supports_account_identification
boolean

Filter only institutions which support account identification.

supports_account_statement
boolean

Filter only institutions which support account statements.

supports_account_verification
boolean

Filter only institutions which support account verification.

supports_transaction_history
boolean

Filter only institutions which support extended transaction history.

Response

200 - application/vnd.mx.api.v1+json

OK

institutions
object[]
pagination
object